Bug 249415 - [RHEL-5] linuxwacom support for intuos 3, Model PTZ-1230/G
Summary: [RHEL-5] linuxwacom support for intuos 3, Model PTZ-1230/G
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Aristeu Rozanski
QA Contact:
URL:
Whiteboard: RHEL5.1NACK
Keywords: FutureFeature
Depends On:
Blocks: 246139 296411 372911
TreeView+ depends on / blocked
 
Reported: 2007-07-24 15:53 UTC by Bryn M. Reeves
Modified: 2018-10-20 00:36 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0314
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:47:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log with tablet attached (28.54 KB, text/plain)
2007-07-24 15:53 UTC, Bryn M. Reeves
no flags Details
patch #1 (583 bytes, patch)
2007-09-25 18:10 UTC, Aristeu Rozanski
no flags Details | Diff
linuxwacom-0.7.8.3-1 (995.36 KB, application/x-redhat-package-manager)
2007-09-25 18:11 UTC, Aristeu Rozanski
no flags Details
wdaemon-0.12-1 (24.69 KB, application/x-redhat-package-manager)
2007-09-25 18:13 UTC, Aristeu Rozanski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Bryn M. Reeves 2007-07-24 15:53:37 UTC
Description of problem:
Split off from bug 
The intuos 3, model PTZ-1230/G is detected by the current driver but the cursor
is reported to be non-functional.

USB IDs for tablet:
        Bus 001 Device 002: ID 056a:00b3 Wacom Co., Ltd

dmesg:
        input: Wacom Intuos3 12x12 as /class/input/input2
        usbcore: registered new driver wacom
        drivers/usb/input/wacom.c: v1.45:USB Wacom Graphire and Wacom Intuos        
        tablet driver

Version-Release number of selected component (if applicable):
linuxwacom-0.7.4.3-2.el5-x86_64

How reproducible:
100%

Steps to Reproduce:
1. Attach Intuos 3 tablet
2. Start X
3. Attempt to use tablet
  
Actual results:
Cursor is not functional

Expected results:
Table works for normal use

Additional info:
Tested succesfully against upstream 1.46 driver

Comment 1 Bryn M. Reeves 2007-07-24 15:53:37 UTC
Created attachment 159863 [details]
Xorg.log with tablet attached

Comment 4 RHEL Product and Program Management 2007-07-24 16:21:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Aristeu Rozanski 2007-08-14 18:55:05 UTC
Any news if the tablet is on the way to Westford?


Comment 9 Aristeu Rozanski 2007-09-10 19:19:48 UTC
I still didn't received it. Can you please check the what's the status?


Comment 10 Aristeu Rozanski 2007-09-19 18:50:31 UTC
Bryn, please test the package in:
   http://people.redhat.com/arozansk/249415/
if you need other architecture, please let me know.


Comment 11 Aristeu Rozanski 2007-09-24 13:33:03 UTC
Got the tablet this morning.


Comment 12 Aristeu Rozanski 2007-09-25 18:10:00 UTC
Created attachment 205751 [details]
patch #1

patch to be applied over the latest RHEL-5 kernel.

Comment 13 Aristeu Rozanski 2007-09-25 18:11:35 UTC
Created attachment 205761 [details]
linuxwacom-0.7.8.3-1

new package version with auxiliary tools enabled

Comment 14 Aristeu Rozanski 2007-09-25 18:13:02 UTC
Created attachment 205771 [details]
wdaemon-0.12-1

latest wdaemon version

Comment 15 Aristeu Rozanski 2007-09-25 18:15:08 UTC
Please test the patch and the two packages provided. I've tested them with the
Intuos3 12x12 that I received with success. Also, please let me know if you need
a binaries for those packages and for the kernel.


Comment 17 Aristeu Rozanski 2007-10-15 15:10:15 UTC
Richard, please ask for their xorg.conf file too.
Thanks

Comment 18 Aristeu Rozanski 2007-11-07 15:19:57 UTC
Any news?


Comment 22 Aristeu Rozanski 2007-11-21 17:09:16 UTC
Richard, any news on this one?


Comment 29 Don Zickus 2007-12-21 20:17:20 UTC
in 2.6.18-62.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 32 errata-xmlrpc 2008-05-21 14:47:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.